<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('danger_point_histories', function (Blueprint $table) {
            $table->foreign(['point_id'])->references(['id'])->on('danger_points')->onUpdate('cascade')->onDelete('set null');
            $table->foreign(['user_id'])->references(['id'])->on('users')->onUpdate('cascade')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('danger_point_histories', function (Blueprint $table) {
            $table->dropForeign('danger_point_histories_point_id_foreign');
            $table->dropForeign('danger_point_histories_user_id_foreign');
        });
    }
};
